.header { 
    grid-area: header; 
}
.menu {
    grid-area: menu; 
}
.content { 
    grid-area: main; 
}

.contact { 
    grid-area: right; 
}

.footer{
    grid-area: footer;
}


.container {
  display: grid;
  grid-template-column : repeat(5,1fr);
  grid-auto-rows : minmax(100px,auto);
  margin : 0 auto;
  grid-template-areas:
    'header header header header header'
    'menu main main main right'
    '_ main main main right'
    '_ main main main -'
    '_ main main main -'
    'footer footer footer footer footer';
  grid-gap: 10px;
}

@media screen and (max-width: 1080px) {
	
	.container {
        display: grid;
        grid-template-column : repeat(4,1fr);
        grid-auto-rows : minmax(100px,auto);
        margin : 0 auto;
        grid-template-areas:
          'header header header header'
          'menu menu menu menu'
          'main main right right'
          'main main - -'
          'footer footer footer footer';
        grid-gap: 10px;
      }
      .menu{
          margin-left: 0px;
      }
      .contact{
          margin-right: 0px;
      }
}

@media screen and (max-width: 720px) {
	
	.container {
        display: grid;
        grid-template-column : repeat(3,1fr);
        grid-auto-rows : minmax(100px,auto);
        margin : 0 auto;
        grid-template-areas:
          'header header header'
          'menu menu menu'
          'main main main'       
          'right right right'
          'footer footer footer';
        grid-gap: 10px;
      }
    .menu{
        margin-left: 0px;
    }
    .contact{
        margin-right: 0px;
    }
}